Bug 24089 - Upgrade jQuery Validate plugin in the staff client
Summary: Upgrade jQuery Validate plugin in the staff client
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-22 13:19 UTC by Owen Leonard
Modified: 2020-01-14 00:26 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24089: Upgrade jQuery Validate plugin in the staff client (46.24 KB, patch)
2019-11-22 13:46 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24089: Upgrade jQuery Validate plugin in the staff client (46.28 KB, patch)
2019-11-22 20:24 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 24089: Upgrade jQuery Validate plugin in the staff client (46.35 KB, patch)
2019-12-22 17:36 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-11-22 13:19:48 UTC
We are using jQuery Validation plugin v1.10.0--from 2012!. We should upgrade to the latest version, v1.19.1 released 6/15/2019.
Comment 1 Owen Leonard 2019-11-22 13:46:32 UTC
Created attachment 95722 [details] [review]
Bug 24089: Upgrade jQuery Validate plugin in the staff client

This patch upgrades the jQuery Validate plugin in the staff client from
v1.10.0 to v1.19.1.

To test, apply the patch and clear your browser cache if necessary.

Test various pages to confirm that form validation works as expected:

 - Patron password change form:
   - Password must conform to minPasswordLength
   - Password must not contain leading/trailing spaces
   - Passwords must match

 - Administration -> Add or edit budget:
   - Description, start date, and end date are required
   - Start date must be before end date

 - Administration -> Add or edit Z39.50/SRU server:
   - Server name, hostname, port, and database are required
   - Port, rank, and timeout must be a number
Comment 2 Maryse Simard 2019-11-22 20:24:08 UTC
Created attachment 95739 [details] [review]
Bug 24089: Upgrade jQuery Validate plugin in the staff client

This patch upgrades the jQuery Validate plugin in the staff client from
v1.10.0 to v1.19.1.

To test, apply the patch and clear your browser cache if necessary.

Test various pages to confirm that form validation works as expected:

 - Patron password change form:
   - Password must conform to minPasswordLength
   - Password must not contain leading/trailing spaces
   - Passwords must match

 - Administration -> Add or edit budget:
   - Description, start date, and end date are required
   - Start date must be before end date

 - Administration -> Add or edit Z39.50/SRU server:
   - Server name, hostname, port, and database are required
   - Port, rank, and timeout must be a number

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 3 Katrin Fischer 2019-12-22 17:36:18 UTC
Created attachment 96580 [details] [review]
Bug 24089: Upgrade jQuery Validate plugin in the staff client

This patch upgrades the jQuery Validate plugin in the staff client from
v1.10.0 to v1.19.1.

To test, apply the patch and clear your browser cache if necessary.

Test various pages to confirm that form validation works as expected:

 - Patron password change form:
   - Password must conform to minPasswordLength
   - Password must not contain leading/trailing spaces
   - Passwords must match

 - Administration -> Add or edit budget:
   - Description, start date, and end date are required
   - Start date must be before end date

 - Administration -> Add or edit Z39.50/SRU server:
   - Server name, hostname, port, and database are required
   - Port, rank, and timeout must be a number

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Martin Renvoize 2020-01-03 15:48:48 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-01-14 00:26:55 UTC
Not backported to 19.11.x